Bug 254100 - Passwdgen crashes when you request a 9-character minimum.
Passwdgen crashes when you request a 9-character minimum.
Product: Fedora
Classification: Fedora
Component: passwd (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-23 23:48 EDT by Matthew Flaschen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-24 03:21:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Flaschen 2007-08-23 23:48:11 EDT
This bug is actually on passwdgen, which doesn't have a component.

Description of problem:

passwdGen crashes with a floating-point exception when you run it with a minimum
of 9 characters

Version-Release number of selected component (if applicable):

How reproducible:


passwdgen -A --min=9 --max=11

Actual results:

floating point exception  passwdgen -Aa1@ --min=9 --max=11

Expected results:

A 9-11 character password

Additional info:

I also just got an old (previous-generated) password in one of my tests.  This
should be tremendously unlikely if the generation process is sound.  I'm filing
a separate bug for this.
Comment 1 Tomas Mraz 2007-08-24 02:53:25 EDT
What's the output of rpm -q -f `which passwdgen` --qf '%{SOURCERPM}\n'
Comment 2 Tomas Mraz 2007-08-24 03:21:25 EDT
I'm sorry this isn't a package from official Fedora repository. You'll have to
report this bug to site where it comes from.

Note You need to log in before you can comment on or make changes to this bug.